Skip to content

generatePasskeyRegistrationOptions

GET
/passkey/generate-register-options
curl --request GET \
--url 'https://gymgym.club/api/auth/passkey/generate-register-options?authenticatorAttachment=platform' \
--header 'Authorization: Bearer <token>'

Generate registration options for a new passkey

authenticatorAttachment
string
Allowed values: platform cross-platform

Type of authenticator to use for registration. “platform” for device-specific authenticators, “cross-platform” for authenticators that can be used across devices.

name
string

Optional custom name for the passkey. This can help identify the passkey when managing multiple credentials.

context
string

Optional context for passkey-first registration flows.

Success

Media typeapplication/json
object
challenge
string
rp
object
name
string
id
string
user
object
id
string
name
string
displayName
string
pubKeyCredParams
Array<object>
object
type
string
alg
number
timeout
number
excludeCredentials
Array<object>
object
id
string
type
string
transports
Array<string>
authenticatorSelection
object
authenticatorAttachment
string
requireResidentKey
boolean
userVerification
string
attestation
string
extensions
object
Examplegenerated
{
"challenge": "example",
"rp": {
"name": "example",
"id": "example"
},
"user": {
"id": "example",
"name": "example",
"displayName": "example"
},
"pubKeyCredParams": [
{
"type": "example",
"alg": 1
}
],
"timeout": 1,
"excludeCredentials": [
{
"id": "example",
"type": "example",
"transports": [
"example"
]
}
],
"authenticatorSelection": {
"authenticatorAttachment": "example",
"requireResidentKey": true,
"userVerification": "example"
},
"attestation": "example",
"extensions": {}
}

Bad Request. Usually due to missing parameters, or invalid parameters.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Unauthorized. Due to missing or invalid authentication.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Forbidden. You do not have permission to access this resource or to perform this action.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Not Found. The requested resource was not found.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Too Many Requests. You have exceeded the rate limit. Try again later.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Internal Server Error. This is a problem with the server that you cannot fix.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}